package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Visa_bundle;
import com.realnet.vpspack.Services.Visa_bundleService ;








@RequestMapping(value = "/Visa_bundle")
 @CrossOrigin("*") 
@RestController
public class Visa_bundleController {
	@Autowired
	private Visa_bundleService Service;

@Value("${projectPath}")
	private String projectPath;
 








	@PostMapping("/Visa_bundle")
		  public Visa_bundle Savedata(@RequestBody Visa_bundle data) {
		Visa_bundle save = Service.Savedata(data)	;







		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Visa_bundle/{id}")
	public  Visa_bundle update(@RequestBody Visa_bundle data,@PathVariable Integer id ) {
		Visa_bundle update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Visa_bundle/getall/page")
	public Page<Visa_bundle> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Visa_bundle> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Visa_bundle")
	public List<Visa_bundle> getdetails() {
		 List<Visa_bundle> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Visa_bundle")
	public List<Visa_bundle> getallwioutsec() {
		 List<Visa_bundle> get = Service.getdetails();		
		return get;
}
@GetMapping("/Visa_bundle/{id}")
	public  Visa_bundle  getdetailsbyId(@PathVariable Integer id ) {
		Visa_bundle  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Visa_bundle/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}









}